Email Disposable

This page will help you get started with Disposable Phones API

Recent Requests
Log in to see full request history
TimeStatusUser Agent
Retrieving recent requests…
LoadingLoading…

The Disposable Email endpoint enables you to determine whether an email address is associated with a temporary or disposable provider. This check is a valuable tool in fraud prevention workflows, helping you assess the trustworthiness of user-provided emails.

Request

Following an example of an Email Disposable

curl --request POST \
     --url https://api.trustfull.com/data/1.0/email-disposable \
     --header 'Accept: application/json' \
     --header 'Content-Type: application/json' \
     --header 'x-api-key: [your_app_key]' \
     --data '
{
     "transaction_id": "your_transaction_id",
     "email": "[email protected]"
}'

Here's a detailed explanation of all fields needed for the API call:

nametype
transaction_id

string

A unique identifier for the transaction. Duplicate values are not allowed.

e.g.: 4115d9d9-28f4-4100-8701-cafe2adbc4c2

email

string

The email to analyze.

e.g.: [email protected]

Response

Following is an example of the response:


{
   "is_valid_format": true,
   "is_disposable": true,
   "disposable_provider": "tempmail.com"
}

Here's a detailed explanation of all fields returned:

nametype
is_valid_format

boolean

Indicates if the email you provided has a valid format

e.g.: true

is_disposable

?boolean

Indicates if the email belongs to a temporary service provider

e.g.: true

disposable_provider

?string

When detected, it indicates the temporary email service provider

e.g.: tempmail.com

FAQ

The following are some common questions for this specific API:

📘

Why do you need to pass a transaction_id?

This value is useful to refer to a specific transaction in the system. Using only the email can lead to collision in case of duplicated call for the same email. Transaction id must be unique across all trustfull API endpoints.

📘

What happens if I pass an invalid email?

We strongly encourage you to validate the email before making a request
If the email provided has an invalid format, the response will only include the is_valid_format field (false)—charged at the same rate as a standard API call.

Body Params
string
required

The unique identifier of this transaction. Duplicated value are not allowed.

string
required

The IP address to be inspected.

Responses

Language
Credentials
Header
LoadingLoading…
Response
Click Try It! to start a request and see the response here! Or choose an example:
application/json